amiga-news ENGLISH VERSION
.
Links| Forum| Kommentare| News melden
.
Chat| Umfragen| Newsticker| Archiv
.

amiga-news.de Forum > Amiga, AmigaOS 4 > GMX, SSL und YAM [ - Suche - Neue Beiträge - Registrieren - Login - ]

-1- 2 [ - Beitrag schreiben - ]

06.12.2013, 16:37 Uhr

Yvan
Posts: 294
Nutzer
GMX stellt ab 2014 auf SSL um. Das heisst Mails können nur noch von Programmen empfangen werden welche SSL können.

Wie kann ich bei YAM SSL einstellen? Hab so auf die Schnelle nichts gefunden.

[ - Antworten - Zitieren - Direktlink - ]

06.12.2013, 17:58 Uhr

angel77
Posts: 832
Nutzer
Früher war das so, dass man sich dafür AmiSSL installiert. Ich weiß nicht ob sich das geändert hat.

Falls du unter OS3.9 unterwegs bist ... ich meine mich zu entsinnen, dass auf der IBrowse Seite ein Link zu einer kompatiblen Version ist.

Gegebenenfalls kannst du die ja dann mit einer eventuell vorhandenen neueren Version updaten (ich hab sowas nach Möglichkeit immer händisch gemacht). Wenn ich mich recht erinnere war das bei AmiSSL auch der Fall damals.

vlg,

@ngel
--
http://www.privatepassion.de - @ngel's private Seite

[ - Antworten - Zitieren - Direktlink - ]

06.12.2013, 19:22 Uhr

Yvan
Posts: 294
Nutzer
Hmm? SSL habe ich installiert. Die Browser, AWeb zum Beispiel, benutzen es auch. Nur wie bringe ich YAM dazu über SSL zu verbinden?

PS

Bin über OS3.9, OS4 und Morphos unterwegs.

[ - Antworten - Zitieren - Direktlink - ]

06.12.2013, 19:26 Uhr

Dave
Posts: 63
Nutzer
@Yvan:

Unter

Konfig ¦ TCP/IP ¦ Absicherung

auf SSL/TLS umstellen. Du kannst das jetzt schon machen.

[ - Antworten - Zitieren - Direktlink - ]

07.12.2013, 08:10 Uhr

Yvan
Posts: 294
Nutzer
@Dave

Danke. Hat bei OS4 problemlos geklappt. Nur unter Morphos hab ich bei YAM zwar den Eintrag. Er ist aber ausgegraut. Das heisst ich kann nichts umstellen. Was könnte dort falsch laufen?

[ - Antworten - Zitieren - Direktlink - ]

07.12.2013, 13:34 Uhr

AmigaHarry
Posts: 1694
Nutzer
Das geht unter MOS ganz genau so - da ist nichts "ausgegraut"......
Verwendest du auch die letzte Version (2.8p1)?
--
Life starts at '030, fun at '040, impotence at '86!

[ - Antworten - Zitieren - Direktlink - ]

07.12.2013, 13:41 Uhr

Yvan
Posts: 294
Nutzer
Es freut mich zu hören, dass bei dir gar nichts ausgegraut ist.
Ja ich benutze 2.8p1 und das auf allen drei Plattformen.

[ - Antworten - Zitieren - Direktlink - ]

07.12.2013, 18:35 Uhr

Thore
Posts: 2266
Nutzer
Auch AmiSSL installiert und das Assign gesetzt?
Bin mir nicht sicher wie es jetzt ist, aber vor einiger Zeit funktionierte nur AmiSSL v1 auf YAM, und nicht v2.

Ein korrekt installiertes AmiSSL sollte den ausgegrauten Punkt verfügbar machen.

[ - Antworten - Zitieren - Direktlink - ]

08.12.2013, 08:23 Uhr

Yvan
Posts: 294
Nutzer
AmiSSL ist installiert und Assign ist da. Denke aber, dass an der Installation wohl was nicht stimmt. Diese ist schon ziemlich alt und war damals nur für AWeb gedacht. Dort funktionierte sie auch aber bei YAM hab ich es bis jetzt nie gebraucht. Vermutlich funktionierte es dort nie. Werde es bei Gelegenheit mal neu installieren. In der Zwischenzeit benutze ich YAM unter OS4.

[ - Antworten - Zitieren - Direktlink - ]

08.12.2013, 10:53 Uhr

thomas
Posts: 7675
Nutzer
@Yvan:

"Es" ist ungenau. Es gibt zwei Versionen, die untereinander inkompatibel sind, aber parallel installiert werden können. AWeb braucht meines Wissens AmiSSL V1, IBrowse und Yam brauchen V2.


--
Email: thomas-rapp@web.de
Home: thomas-rapp.homepage.t-online.de/

[ - Antworten - Zitieren - Direktlink - ]

08.12.2013, 12:10 Uhr

angel77
Posts: 832
Nutzer
Na da hab ich mich ja fast richtig erinnert.

Jetzt wo du es sagst ... stimmt ... zuerst lief dann AWeb nicht mehr, was mich ziemlich lange nicht gestört hat. Aber aus Prinzip und Langeweile bin ich dann irgendwann auch auf die Parallel-Installation gekommen ...

vlg,

@ngel
--
http://www.privatepassion.de - @ngel's private Seite

[ - Antworten - Zitieren - Direktlink - ]

08.12.2013, 13:05 Uhr

Yvan
Posts: 294
Nutzer
@thomas:
Wie kann ich feststellen welche Version es ist? Wo bekomme ich Version 2 her?

[ - Antworten - Zitieren - Direktlink - ]

08.12.2013, 13:41 Uhr

angel77
Posts: 832
Nutzer
Version 2 wird immer noch auf der IBrowse Seite verlinkt.

Liest du mir eigentlich nicht zu?

vlg,

@ngel
--
http://www.privatepassion.de - @ngel's private Seite

[ - Antworten - Zitieren - Direktlink - ]

08.12.2013, 14:30 Uhr

Yvan
Posts: 294
Nutzer
Doch klar du meinst dich zu entsinnen, dass auf der IBrowse Seite...

Ist in Ordnung, ich werde Google nach dieser IBrowse Seite fragen. Wenigstens den Google Link hab ich noch im Kopf :)

[ - Antworten - Zitieren - Direktlink - ]

18.12.2013, 08:48 Uhr

thomas
Posts: 7675
Nutzer

Zitat:
Original von Yvan:
@thomas:
Wie kann ich feststellen welche Version es ist?


AmiSSL V1 enthält die amissl.library und V2 und V3 enthalten die amisslmaster.library.



Zitat:
Wo bekomme ich Version 2 her?

Alle Versionen gibt es auf der AmiSSL Homepage (erster Treffer bei Google).
http://www.heightanxiety.com/AmiSSL/




--
Email: thomas-rapp@web.de
Home: thomas-rapp.homepage.t-online.de/

[ - Antworten - Zitieren - Direktlink - ]

20.01.2014, 08:40 Uhr

Yvan
Posts: 294
Nutzer
@Thomas

Danke für den Link.

[ - Antworten - Zitieren - Direktlink - ]

06.02.2014, 14:20 Uhr

DaxB
Posts: 1412
Nutzer
Sind irgendwelche Probleme bei oder mit GMX in Bezug auf die Umstellung SSL bekannt? Im Moment funktioniert hier das Empfangen von Emails mit YAM (SSL aktiv) nicht. Fehlermeldung: "Couldn't initialize TLSv1/SSLv3 session for pop.gmx.net"

[ - Antworten - Zitieren - Direktlink - ]

09.02.2014, 11:57 Uhr

DaxB
Posts: 1412
Nutzer
Die alte YAM 2.5 Version war hier das Problem. Mit V2.9 und einer "schnellen" Internetverbindung geht es. :)

[ - Antworten - Zitieren - Direktlink - ]

24.04.2014, 12:47 Uhr

DaxB
Posts: 1412
Nutzer
Ich muss mich korrigieren. Fehlermeldung: "Couldn't initialize TLSv1/SSLv3 session for pop.gmx.net" kommt auch bei schnellen (DSL) INet vor. Zumindestens, wenn man MiamiDX benutzt (mind. ein weiterer Benutzer hat das selbe Problem). Also fall jemand diese Fehlermeldung in YAM sieht, sollte sich melden. Ein Ticket im YAM Bugracker existiert bereits. Danke!

[ - Antworten - Zitieren - Direktlink - ]

24.04.2014, 19:33 Uhr

Maverik
Posts: 750
Nutzer
Ja ich hab den Fehler auch, nur dachte ich daran das das nur kommt weil ich bei 3 accounts gleichzeitig hole. wenn ich einzeln nacheinander kam das bislang nicht.
--
-------------------------------------
mfg

Andreas

[ - Antworten - Zitieren - Direktlink - ]

24.04.2014, 21:50 Uhr

DaxB
Posts: 1412
Nutzer
@Maverik:
Danke! Sehe dir mal Ticket http://yam.ch/ticket/530 an und füge ggf. einen Kommentar ein. Gebe auch an, welchen TCP/IP Stack du benutzt. Im Moment steht noch MiamiDx in verdacht. Wenn du den Fehler aber mit einem anderen Stack bekommst, wäre das schon mal ausgeschlossen.

[ - Antworten - Zitieren - Direktlink - ]

24.04.2014, 22:39 Uhr

RhoSigma
Posts: 67
Nutzer
Hallo,
das gleiche Problem, sowohl über 56k Modem und Genisis TCP/IP am echten Amiga, als auch über O2 Surfstick unter WinUAE.
Habe sowohl bei POP3 als auch SMTP (mails senden) umgestellt auf STARTTLS, seitdem keine Probleme mehr. Ach ja, war unter YAM 2.9 und ist unter YAM 2.9p1 immer noch so.

[ - Antworten - Zitieren - Direktlink - ]

24.04.2014, 22:41 Uhr

Maverik
Posts: 750
Nutzer
@DaxB:
Danke den link hatte ich schon gefunden, aber ich schreibe nichts in englisch und so wie das aussieht geht es da nur so.
Stimmt ich hab miamiDX laufen, werde die tage aber dann mal das normale miami und dann noch Genesis testen.
--
-------------------------------------
mfg

Andreas

[ - Antworten - Zitieren - Direktlink - ]

25.04.2014, 01:55 Uhr

DaxB
Posts: 1412
Nutzer
Zitat:
Original von RhoSigma:
Hallo,
das gleiche Problem, sowohl über 56k Modem und Genisis TCP/IP am echten Amiga, als auch über O2 Surfstick unter WinUAE.
Habe sowohl bei POP3 als auch SMTP (mails senden) umgestellt auf STARTTLS, seitdem keine Probleme mehr. Ach ja, war unter YAM 2.9 und ist unter YAM 2.9p1 immer noch so.

Danke fürs testen! Wenn ich auf STARTTLS stelle bekomme ich den gleichen Fehler, wenn ich beide (habe hier zwei) email accounts prüfe. Bei single account check scheint es tatsächlich besser zu gehen. Wenn noch ein download läuft (z.B. IB eine Seite lädt) und dann single account prüfe kommt der Fehler auch. Das habe ich aber noch nicht ausführlich getestet.

@Maverik:
Dann schreibst du eben in deutsch. Thore und Jens sind ja aus DE.

[ Dieser Beitrag wurde von DaxB am 25.04.2014 um 02:10 Uhr geändert. ]

[ - Antworten - Zitieren - Direktlink - ]

25.04.2014, 08:22 Uhr

RhoSigma
Posts: 67
Nutzer
@Alle

Hm, könnte es dann vielleicht einfach nur sein, das die Timeouts für die Server-Response bei SSL/TLS/STARTTLS viel zu knapp bemessen sind, sodaß wenn noch andere Anfragen nebenher laufen (z.B. Seite laden in IBrowse od. gleichzeitiges Abfragen mehrerer Mailkonten) es einfach zu lange dauert bis die SSL/TLS Verbindung etabliert ist, und YAM dann einfach übers Timeout abbricht?

Müsste sich mal einer vom YAM-Team angucken...

Grüße

[ - Antworten - Zitieren - Direktlink - ]

25.04.2014, 14:56 Uhr

DaxB
Posts: 1412
Nutzer
Zitat:
Original von RhoSigma:Müsste sich mal einer vom YAM-Team angucken...
Das ist schon geschehen. Siehe dazu Ticket #530. Der Timeout Gedanke wurde dort auch schon angesprochen. Es wäre schon hilfreich, wenn die Leute mit diesem Problem sich melden. Am besten gleich als Bugreport, wie hier aus System x, mit Stack y unter folgenden Voraussetzungen tritt der Fehler auch auf.

[ - Antworten - Zitieren - Direktlink - ]

25.04.2014, 18:56 Uhr

geit
Posts: 332
[Ex-Mitglied]

Also generell geht GMX und YAM. Das nutze ich selbst unter MorphOS.

Geit

[ - Antworten - Zitieren - Direktlink - ]

26.04.2014, 21:44 Uhr

tboeckel
Posts: 124
Nutzer
Zitat:
Müsste sich mal einer vom YAM-Team angucken...

YAM hat einen Bugtracker. Benutzt ihn! Am besten nicht anonym. Es hat keinen Sinn in einem Forum über mögliche Fehler zu diskutieren ohne uns etwas davon zu erzählen. Weder Jens noch ich können oder wollen alle Foren lesen.

[ - Antworten - Zitieren - Direktlink - ]

26.04.2014, 21:47 Uhr

tboeckel
Posts: 124
Nutzer
Zitat:
Hm, könnte es dann vielleicht einfach nur sein, das die Timeouts für die Server-Response bei SSL/TLS/STARTTLS viel zu knapp bemessen sind, sodaß wenn noch andere Anfragen nebenher laufen (z.B. Seite laden in IBrowse od. gleichzeitiges Abfragen mehrerer Mailkonten) es einfach zu lange dauert bis die SSL/TLS Verbindung etabliert ist, und YAM dann einfach übers Timeout abbricht?

Stellt keine Vermutungen an ohne die Details zu kennen. Der Timeout ist standardmäßig 30 Sekunden lang. Wenn das selbst bei einem Modem nicht für eine Antwort der Gegenseite reicht, dann liegt das Problem bestimmt nicht an zu wenig Zeit.

[ - Antworten - Zitieren - Direktlink - ]

27.04.2014, 18:00 Uhr

danica_talos
Posts: 10
Nutzer
Hier auf meiner MOS Maschine (Mini wie auch PB) YAM (aktuellste Version) + GMX = Keine Probleme beim Mailabruf sowie Mailversand.

--
Mac Mini G4 1,50 GHz mit MorphOS 3.4 (registriert).
PowerBook G4 (5,8) 1,67GHz, 128MB VRAM, 2 GB DDR2 RAM mit MorphOS 3.4 (registriert).

[ - Antworten - Zitieren - Direktlink - ]


-1- 2 [ - Beitrag schreiben - ]


amiga-news.de Forum > Amiga, AmigaOS 4 > GMX, SSL und YAM [ - Suche - Neue Beiträge - Registrieren - Login - ]


.
Impressum | Datenschutzerklärung | Netiquette | Werbung | Kontakt
Copyright © 1998-2022 by amiga-news.de - alle Rechte vorbehalten.
.